| Home | Libraries | People | FAQ | More

## Function template register_skeleton_and_content

boost::mpi::python::register_skeleton_and_content — Registers a type for use with the skeleton/content mechanism in Python.

## Synopsis

    // In header: <boost/mpi/python.hpp>

    template<typename T>
      void register_skeleton_and_content(const T & value = T(),
                                         PyTypeObject * type = 0);

## Description

The skeleton/content mechanism can only be used from Python with C++ types that have previously been registered via a call to this function. Both the sender and the transmitter must register the type. It is permitted to call this function multiple times for the same type `T`, but only one call per process per type is required. The type `T` must be Serializable.

Parameters:

`type` | The Python type associated with the C++ type `T`. If not provided, it will be computed from the same value `value`.
`value` | A sample object of type T that will be used to determine the Python type associated with T, if `type` is not specified.